Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Apr 2011 19:48:34 -0300

> Having said that, no key binding is better than a clever key binding.
> Some uses of completion perhaps don't need a key (as for example many
> uses of code completion, which in other IDEs pop up a list of
> completions by default).

I think this one is a fallacy: popping up the menu may not need a key
binding, but you do need a key binding in order to select something from
that menu.  Admittedly, it changes the problem enough that the solution
may be simpler (e.g. M-n and M-p can be used for that whereas they don't
seem nearly as attractive for completion-at-point).

        Stefan